probe::nfs.proc.write_setup
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.proc.write_setup — NFS client setting up a write RPC task

## Synopsis

    nfs.proc.write_setup

## Values

`version`

  NFS version

`offset`

  the file offset

`prot`

  transfer protocol

`how`

  used to set args.stable. The stable value could be: NFS_UNSTABLE,NFS_DATA_SYNC,NFS_FILE_SYNC (in nfs.proc3.write_setup and nfs.proc4.write_setup)

`size`

  bytes written in this execution

`bitmask1`

  V4 bitmask representing the set of attributes supported on this filesystem

`count`

  bytes written in this execution

`bitmask0`

  V4 bitmask representing the set of attributes supported on this filesystem

`server_ip`

  IP address of server

## Description

The write_setup function is used to setup a write RPC task. It is not doing the actual write operation.

Prev | Up | Next
probe::nfs.proc.write_done | Home | probe::nfsd.close